Bio::SeqIO::swiss(3)

NAME
Bio::SeqIO::swiss - Swissprot sequence input/output stream

SYNOPSIS
It is probably best not to use this object directly, but rather go through the SeqIO handler system. Go:

    $stream = Bio::SeqIO->new(-file => $filename, -format => 'swiss');

    while ( my $seq = $stream->next_seq() ) {
        # do something with $seq
    }

DESCRIPTION
This object can transform Bio::Seq objects to and from swissprot flat file databases.

There is a lot of flexibility here about how to dump things which I need to document fully.

  Optional functions

_show_dna()
    (output only) shows the dna or not

_post_sort()
    (output only) provides a sorting func which is applied to the FTHelpers before printing

_id_generation_func()
    This is function which is called as

       print "ID   ", $func($seq), "\n";

    To generate the ID line. If it is not there, it generates a sensible ID line using a number of tools.

    If you want to output annotations in swissprot format they need to be stored in a Bio::Annotation::Collection object which is accessible through the Bio::SeqI interface method annotation().

    The following are the names of the keys which are polled from a Bio::Annotation::Collection object.

    reference - Should contain Bio::Annotation::Reference objects comment - Should contain Bio::Annotation::Comment objects dblink - Should contain Bio::Annotation::DBLink objects gene_name - Should contain Bio::Annotation::SimpleValue object

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably
 to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org          - General discussion
  http://bio.perl.org/MailList.html             - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution.
 Bug reports can be submitted via email or the web:

  bioperl-bugs@bio.perl.org
  http://bugzilla.bioperl.org/

AUTHOR - Elia Stupka
Email elia@tll.org.sg

Describe contact details here

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  next_seq
 Title   : next_seq
 Usage   : $seq = $stream->next_seq()
 Function: returns the next sequence in the stream
 Returns : Bio::Seq object
 Args    :

  write_seq
 Title   : write_seq
 Usage   : $stream->write_seq($seq)
 Function: writes the $seq object (must be seq) to the stream
 Returns : 1 for success and 0 for error
 Args    : array of 1 to n Bio::SeqI objects

  _generateCRCTable
 Title   : _generateCRCTable
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _crc32
 Title   : _crc32
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _crc64
 Title   : _crc64
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _print_swissprot_FTHelper
 Title   : _print_swissprot_FTHelper
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _read_swissprot_References
 Title   : _read_swissprot_References
 Usage   :
 Function: Reads references from swissprot format. Internal function really
 Example :
 Returns :
 Args    :

  _read_swissprot_Species
 Title   : _read_swissprot_Species
 Usage   :
 Function: Reads the swissprot Organism species and classification
           lines.
 Example :
 Returns : A Bio::Species object
 Args    :

  _filehandle
 Title   : _filehandle
 Usage   : $obj->_filehandle($newval)
 Function:
 Example :
 Returns : value of _filehandle
 Args    : newvalue (optional)

  _read_FTHelper_swissprot
 Title   : _read_FTHelper_swissprot
 Usage   : _read_FTHelper_swissprot(\$buffer)
 Function: reads the next FT key line
 Example :
 Returns : Bio::SeqIO::FTHelper object
 Args    : filehandle and reference to a scalar

  _write_line_swissprot
 Title   : _write_line_swissprot
 Usage   :
 Function: internal function
 Example :
 Returns :
 Args    :

  _write_line_swissprot_regex
 Title   : _write_line_swissprot_regex
 Usage   :
 Function: internal function for writing lines of specified
           length, with different first and the next line
           left hand headers and split at specific points in the
           text
 Example :
 Returns : nothing
 Args    : file handle, first header, second header, text-line, regex for line breaks, total line length

  _post_sort
 Title   : _post_sort
 Usage   : $obj->_post_sort($newval)
 Function:
 Returns : value of _post_sort
 Args    : newvalue (optional)

  _show_dna
 Title   : _show_dna
 Usage   : $obj->_show_dna($newval)
 Function:
 Returns : value of _show_dna
 Args    : newvalue (optional)

  _id_generation_func
 Title   : _id_generation_func
 Usage   : $obj->_id_generation_func($newval)
 Function:
 Returns : value of _id_generation_func
 Args    : newvalue (optional)

  _ac_generation_func
 Title   : _ac_generation_func
 Usage   : $obj->_ac_generation_func($newval)
 Function:
 Returns : value of _ac_generation_func
 Args    : newvalue (optional)

  _sv_generation_func
 Title   : _sv_generation_func
 Usage   : $obj->_sv_generation_func($newval)
 Function:
 Returns : value of _sv_generation_func
 Args    : newvalue (optional)

  _kw_generation_func
 Title   : _kw_generation_func
 Usage   : $obj->_kw_generation_func($newval)
 Function:
 Returns : value of _kw_generation_func
 Args    : newvalue (optional)